Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(2556)

Unified Diff: build/update-linux-sandbox.sh

Issue 2392643003: Removes files from //build that we don't need (Closed)
Patch Set: Created 4 years, 2 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
« no previous file with comments | « build/uiautomator_test.gypi ('k') | build/util/BUILD.gn » ('j') | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: build/update-linux-sandbox.sh
diff --git a/build/update-linux-sandbox.sh b/build/update-linux-sandbox.sh
deleted file mode 100755
index 735733a0d00b0b5cf6e7c244c5253de588d29ede..0000000000000000000000000000000000000000
--- a/build/update-linux-sandbox.sh
+++ /dev/null
@@ -1,75 +0,0 @@
-#!/bin/sh
-
-# Copyright (c) 2012 The Chromium Authors. All rights reserved.
-# Use of this source code is governed by a BSD-style license that can be
-# found in the LICENSE file.
-
-BUILDTYPE="${BUILDTYPE:-Debug}"
-CHROME_SRC_DIR="${CHROME_SRC_DIR:-$(dirname -- $(readlink -fn -- "$0"))/..}"
-CHROME_OUT_DIR="${CHROME_SRC_DIR}/${CHROMIUM_OUT_DIR:-out}/${BUILDTYPE}"
-CHROME_SANDBOX_BUILD_PATH="${CHROME_OUT_DIR}/chrome_sandbox"
-CHROME_SANDBOX_INST_PATH="/usr/local/sbin/chrome-devel-sandbox"
-CHROME_SANDBOX_INST_DIR=$(dirname -- "$CHROME_SANDBOX_INST_PATH")
-
-TARGET_DIR_TYPE=$(stat -f -c %t -- "${CHROME_SANDBOX_INST_DIR}" 2>/dev/null)
-if [ $? -ne 0 ]; then
- echo "Could not get status of ${CHROME_SANDBOX_INST_DIR}"
- exit 1
-fi
-
-# Make sure the path is not on NFS.
-if [ "${TARGET_DIR_TYPE}" = "6969" ]; then
- echo "Please make sure ${CHROME_SANDBOX_INST_PATH} is not on NFS!"
- exit 1
-fi
-
-installsandbox() {
- echo "(using sudo so you may be asked for your password)"
- sudo -- cp "${CHROME_SANDBOX_BUILD_PATH}" \
- "${CHROME_SANDBOX_INST_PATH}" &&
- sudo -- chown root:root "${CHROME_SANDBOX_INST_PATH}" &&
- sudo -- chmod 4755 "${CHROME_SANDBOX_INST_PATH}"
- return $?
-}
-
-if [ ! -d "${CHROME_OUT_DIR}" ]; then
- echo -n "${CHROME_OUT_DIR} does not exist. Use \"BUILDTYPE=Release ${0}\" "
- echo "If you are building in Release mode"
- exit 1
-fi
-
-if [ ! -f "${CHROME_SANDBOX_BUILD_PATH}" ]; then
- echo -n "Could not find ${CHROME_SANDBOX_BUILD_PATH}, "
- echo "please make sure you build the chrome_sandbox target"
- exit 1
-fi
-
-if [ ! -f "${CHROME_SANDBOX_INST_PATH}" ]; then
- echo -n "Could not find ${CHROME_SANDBOX_INST_PATH}, "
- echo "installing it now."
- installsandbox
-fi
-
-if [ ! -f "${CHROME_SANDBOX_INST_PATH}" ]; then
- echo "Failed to install ${CHROME_SANDBOX_INST_PATH}"
- exit 1
-fi
-
-CURRENT_API=$("${CHROME_SANDBOX_BUILD_PATH}" --get-api)
-INSTALLED_API=$("${CHROME_SANDBOX_INST_PATH}" --get-api)
-
-if [ "${CURRENT_API}" != "${INSTALLED_API}" ]; then
- echo "Your installed setuid sandbox is too old, installing it now."
- if ! installsandbox; then
- echo "Failed to install ${CHROME_SANDBOX_INST_PATH}"
- exit 1
- fi
-else
- echo "Your setuid sandbox is up to date"
- if [ "${CHROME_DEVEL_SANDBOX}" != "${CHROME_SANDBOX_INST_PATH}" ]; then
- echo -n "Make sure you have \"export "
- echo -n "CHROME_DEVEL_SANDBOX=${CHROME_SANDBOX_INST_PATH}\" "
- echo "somewhere in your .bashrc"
- echo "This variable is currently: ${CHROME_DEVEL_SANDBOX:-empty}"
- fi
-fi
« no previous file with comments | « build/uiautomator_test.gypi ('k') | build/util/BUILD.gn » ('j') | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698